- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
User Management
- /
- Get User Login History
¶ Get the user's login history
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Get user login history through user ID, support paging, and can choose to specify user ID type, application ID, start and end timestamps, etc.
¶ Method name
ManagementClient.get_user_login_history
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| userId | string | yes | - | The unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id. | 6229ffaxxxxxxxxcade3e3d9 |
| userIdType | string | No | user_id | User ID type, the default value is user_id, the optional values are:- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7- phone: User phone number- email: User email- username: User name- external_id: User ID in the external system, corresponding to the externalId field of GenAuth user information- identity: User's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the ID of the user in the external identity source.Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61. | user_id |
| appId | string | no | - | Application ID | |
| clientIp | string | no | - | Client IP | 127.0.0.1 |
| start | number | no | - | Start timestamp (milliseconds) | 1647360000000 |
| end | number | No | - | End timestamp (milliseconds) | 1648051199000 |
| page | number | No | 1 | Current page number, starting from 1 | 1 |
| limit | number | No | 10 | Number of pages per page, maximum cannot exceed 50, default is 10 | 10 |
¶ Request Response
Type: UserLoginHistoryPaginatedRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | UserLoginHistoryPagingDto | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"list": {
"appId": "app1",
"appName": "App Name",
"appLogo": "https://example.com/logo.png",
"appLoginUrl": "https://example.com/login",
"clientIp": "127.0.0.1",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/99.0.4844.51 Safari/537.36"
}
}
}
¶ Data Structure
¶ UserLoginHistoryPagingDto
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| totalCount | number | Yes | Total number of records | |
| list | array | Yes | Response data Nested type: UserLoginHistoryDto. |
¶ UserLoginHistoryDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| appId | string | Yes | App ID | app1 |
| appName | string | Yes | App Name | App Name |
| appLogo | string | Yes | App Logo | https://example.com/logo.png |
| appLoginUrl | string | Yes | App login address | https://example.com/login |
| clientIp | string | Yes | Client IP | 127.0.0.1 |
| userAgent | string | no | User agent used when logging in | Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/99.0.4844.51 Safari/537.36 |
| time | string | yes | Login time |
